<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title>eCommerce FrontEnd Project</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link
      rel="stylesheet"
      type="text/css"
      media="screen"
      href="../css/bootstrap.min.css"
    />
    <link
      rel="stylesheet"
      href="https://use.fontawesome.com/releases/v5.8.1/css/all.css"
      integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="../css/app.min.css" />
  </head>
  <body>
    <!-- TOP BAR -->
    <div class="container-fluid logo-bar"></div>
    <!-- TOP BAR -->
    <!-- NAV BAR -->
    <div class="container-fluid nav-container"></div>
    <!-- NAV BAR -->
    <!-- CONTENT -->
    <div class="container-fluid content-products"></div>
    <!-- CONTENT -->
    <!-- FILTER BAR -->
    <section class="osf-filters">
      <div class="container">
        <ul class="osf-filters__list">
          <li class="osf-filters__item">Shop by</li>
          <li class="osf-filters__item">
            Brands<a href="#">
              <i class="fa fa-angle-down" aria-hidden="true"></i
            ></a>
          </li>
          <li class="osf-filters__item">
            Categories
            <a href="#"><i class="fa fa-angle-down" aria-hidden="true"></i></a>
          </li>
          <li class="osf-filters__item">
            Price
            <a href="#"><i class="fa fa-angle-down" aria-hidden="true"></i></a>
          </li>
        </ul>
      </div>
    </section>
    <!-- FILTER BAR -->
    <!-- PRODUCTS SECTION -->
    <section class="osf-products-appearence">
      <div class="container">
        <ul class="osf-products-appearence__list">
          <li class="osf-products-appearence__item">
            <h1 class="osf-products-appearence__item--title">All products</h1>
            <small class="osf-products-appearence__item--description">
              <a href="../../../index.html">Home</a> > All Products
            </small>
          </li>
          <li class="osf-products-appearence__item">
            <span class="osf-products-appearence__item--description"
              >View as</span
            ><button id="osf-appearence__block">
              <i class="fa fa-th-large"></i></button
            ><button id="osf-appearence__list" checked="checked">
              <i class="fa fa-list" aria-hidden="true"></i>
            </button>
            <button class="osf-products-appearence__item--description">
              <span>Sort alphabetically</span
              ><i class="fa fa-angle-down" aria-hidden="true"></i>
            </button>
          </li>
        </ul>
        <div id="row_1" class="row mb-2">
          <div
            id="products_1"
            class="col-12 col-sm-6 col-md-4 col-lg-4 offset-sm-3 offset-md-0 offset-lg-0 mr-lg-auto mb-3 mb-sm-3"
          >
            <div class="products-grade products-hover-1">
              <img src="../imgs/shoes1.png" alt="Shoes 1" />
            </div>
            <div
              class="products-grade-title d-flex justify-content-start products-hover-1"
            >
              <div class="products-rect"><p>$145,99</p></div>
              <span class="products-grade-description-1">Even&Odd</span>
              <span class="products-grade-description-buttons-1 d-none">
                <button class="box-content border-0 eye-hover">
                  <i class="far fa-eye products-view"></i>
                </button>
                <button class="box-content border-0 star-hover-content">
                  <i class="far fa-star hover-content products-wishlist"></i>
                </button>
                <button class="box-content border-0 share-hover">
                  <i class="far fa-share-square products-share"></i>
                </button>
                <button class="box-content border-0 cart-hover">
                  <i class="fas fa-cart-arrow-down products-buy"></i></button
              ></span>
            </div>
          </div>
          <div
            id="products_2"
            class="col-12 col-sm-6 col-md-4 col-lg-4 offset-sm-3 offset-md-0 offset-lg-0 mr-lg-auto mb-3 mb-sm-3"
          >
            <div class="products-grade products-hover-2">
              <img src="../imgs/shoes2.png" alt="Shoes 2" />
              <div class="products-rect-sale"><p>ON SALE !</p></div>
            </div>
            <div
              class="products-grade-title d-flex justify-content-start products-hover-2"
            >
              <div class="products-rect"><p>$145,99</p></div>
              <span class="products-grade-description-2">Even&Odd</span>
              <span class="products-grade-description-buttons-2 d-none">
                <button class="box-content border-0 eye-hover">
                  <i class="far fa-eye products-view"></i>
                </button>
                <button class="box-content border-0 star-hover-content">
                  <i class="far fa-star hover-content products-wishlist"></i>
                </button>
                <button class="box-content border-0 share-hover">
                  <i class="far fa-share-square products-share"></i>
                </button>
                <button class="box-content border-0 cart-hover">
                  <i class="fas fa-cart-arrow-down products-buy"></i></button
              ></span>
            </div>
          </div>
          <div
            id="products_3"
            class="col-12 col-sm-6 col-md-4 col-lg-4 offset-sm-3 offset-md-0 offset-lg-0 mr-lg-auto mb-3 mb-sm-3"
          >
            <div class="products-grade products-hover-3">
              <img src="../imgs/shoes3.png" alt="Shoes 3" />
            </div>
            <div
              class="products-grade-title d-flex justify-content-start products-hover-3"
            >
              <div class="products-rect"><p>$145,99</p></div>
              <span class="products-grade-description-3">Even&Odd</span>
              <span class="products-grade-description-buttons-3 d-none">
                <button class="box-content border-0 eye-hover">
                  <i class="far fa-eye products-view"></i>
                </button>
                <button class="box-content border-0 star-hover-content">
                  <i class="far fa-star hover-content products-wishlist"></i>
                </button>
                <button class="box-content border-0 share-hover">
                  <i class="far fa-share-square products-share"></i>
                </button>
                <button class="box-content border-0 cart-hover">
                  <i class="fas fa-cart-arrow-down products-buy"></i></button
              ></span>
            </div>
          </div>
        </div>
        <div id="row_2" class="row mb-2">
          <div
            id="products_4"
            class="col-12 col-sm-6 col-md-4 col-lg-4 offset-sm-3 offset-md-0 offset-lg-0 mr-lg-auto mb-3 mb-sm-3"
          >
            <div class="products-grade products-hover-4">
              <img src="../imgs/shoes4.png" alt="Shoes 4" />
            </div>
            <div
              class="products-grade-title d-flex justify-content-start products-hover-4"
            >
              <div class="products-rect"><p>$145,99</p></div>
              <span class="products-grade-description-4">Even&Odd</span>
              <span class="products-grade-description-buttons-4 d-none">
                <button class="box-content border-0 eye-hover">
                  <i class="far fa-eye products-view"></i>
                </button>
                <button class="box-content border-0 star-hover-content">
                  <i class="far fa-star hover-content products-wishlist"></i>
                </button>
                <button class="box-content border-0 share-hover">
                  <i class="far fa-share-square products-share"></i>
                </button>
                <button class="box-content border-0 cart-hover">
                  <i class="fas fa-cart-arrow-down products-buy"></i></button
              ></span>
            </div>
          </div>
          <div
            id="products_5"
            class="col-12 col-sm-6 col-md-4 col-lg-4 offset-sm-3 offset-md-0 offset-lg-0 mr-lg-auto mb-3 mb-sm-3"
          >
            <div class="products-grade products-hover-5">
              <img src="../imgs/shoes5.png" alt="Shoes 5" />
            </div>
            <div
              class="products-grade-title d-flex justify-content-start products-hover-5"
            >
              <div class="products-rect"><p>$145,99</p></div>
              <span class="products-grade-description-5">Even&Odd</span>
              <span class="products-grade-description-buttons-5 d-none">
                <button class="box-content border-0 eye-hover">
                  <i class="far fa-eye products-view"></i>
                </button>
                <button class="box-content border-0 star-hover-content">
                  <i class="far fa-star hover-content products-wishlist"></i>
                </button>
                <button class="box-content border-0 share-hover">
                  <i class="far fa-share-square products-share"></i>
                </button>
                <button class="box-content border-0 cart-hover">
                  <i class="fas fa-cart-arrow-down products-buy"></i></button
              ></span>
            </div>
          </div>
          <div
            id="products_6"
            class="col-12 col-sm-6 col-md-4 col-lg-4 offset-sm-3 offset-md-0 offset-lg-0 mr-lg-auto mb-3 mb-sm-3"
          >
            <div class="products-grade products-hover-6">
              <img src="../imgs/shoes6.png" alt="Shoes 6" />
              <div class="products-rect-stock"><p>OUT OF STOCK!</p></div>
            </div>
            <div
              class="products-grade-title d-flex justify-content-start products-hover-6"
            >
              <div class="products-rect"><p>$145,99</p></div>
              <span class="products-grade-description-6">Even&Odd</span>
              <span class="products-grade-description-buttons-6 d-none">
                <button class="box-content border-0 eye-hover">
                  <i class="far fa-eye products-view"></i>
                </button>
                <button class="box-content border-0 star-hover-content">
                  <i class="far fa-star hover-content products-wishlist"></i>
                </button>
                <button class="box-content border-0 share-hover">
                  <i class="far fa-share-square products-share"></i>
                </button>
                <button class="box-content border-0 cart-hover">
                  <i class="fas fa-cart-arrow-down products-buy"></i></button
              ></span>
            </div>
          </div>
        </div>
        <div id="row_3" class="row pb-2">
          <div
            id="products_7"
            class="col-12 col-sm-6 col-md-4 col-lg-4 offset-sm-3 offset-md-0 offset-lg-0 mr-lg-auto mb-3 mb-sm-3"
          >
            <div class="products-grade products-hover-1">
              <img src="../imgs/shoes1.png" alt="Shoes 1" />
            </div>
            <div
              class="products-grade-title d-flex justify-content-start products-hover-1"
            >
              <div class="products-rect"><p>$145,99</p></div>
              <span class="products-grade-description-1">Even&Odd</span>
              <span class="products-grade-description-buttons-1 d-none">
                <button class="box-content border-0 eye-hover">
                  <i class="far fa-eye products-view"></i>
                </button>
                <button class="box-content border-0 star-hover-content">
                  <i class="far fa-star hover-content products-wishlist"></i>
                </button>
                <button class="box-content border-0 share-hover">
                  <i class="far fa-share-square products-share"></i>
                </button>
                <button class="box-content border-0 cart-hover">
                  <i class="fas fa-cart-arrow-down products-buy"></i></button
              ></span>
            </div>
          </div>
          <div
            id="products_8"
            class="col-12 col-sm-6 col-md-4 col-lg-4 offset-sm-3 offset-md-0 offset-lg-0 mr-lg-auto mb-3 mb-sm-3"
          >
            <div class="products-grade products-hover-2">
              <img src="../imgs/shoes2.png" alt="Shoes 2" />
              <div class="products-rect-sale"><p>ON SALE !</p></div>
            </div>
            <div
              class="products-grade-title d-flex justify-content-start products-hover-2"
            >
              <div class="products-rect"><p>$145,99</p></div>
              <span class="products-grade-description-2">Even&Odd</span>
              <span class="products-grade-description-buttons-2 d-none">
                <button class="box-content border-0 eye-hover">
                  <i class="far fa-eye products-view"></i>
                </button>
                <button class="box-content border-0 star-hover-content">
                  <i class="far fa-star hover-content products-wishlist"></i>
                </button>
                <button class="box-content border-0 share-hover">
                  <i class="far fa-share-square products-share"></i>
                </button>
                <button class="box-content border-0 cart-hover">
                  <i class="fas fa-cart-arrow-down products-buy"></i></button
              ></span>
            </div>
          </div>
          <div
            id="products_9"
            class="col-12 col-sm-6 col-md-4 col-lg-4 offset-sm-3 offset-md-0 offset-lg-0 mr-lg-auto mb-3 mb-sm-3"
          >
            <div class="products-grade products-hover-3">
              <img src="../imgs/shoes3.png" alt="Shoes 3" />
            </div>
            <div
              class="products-grade-title d-flex justify-content-start products-hover-3"
            >
              <div class="products-rect"><p>$145,99</p></div>
              <span class="products-grade-description-3">Even&Odd</span>
              <span class="products-grade-description-buttons-3 d-none">
                <button class="box-content border-0 eye-hover">
                  <i class="far fa-eye products-view"></i>
                </button>
                <button class="box-content border-0 star-hover-content">
                  <i class="far fa-star hover-content products-wishlist"></i>
                </button>
                <button class="box-content border-0 share-hover">
                  <i class="far fa-share-square products-share"></i>
                </button>
                <button class="box-content border-0 cart-hover">
                  <i class="fas fa-cart-arrow-down products-buy"></i></button
              ></span>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!-- PRODUCTS SECTION -->
    <!-- FOOTER -->
    <div class="container-fluid footer-div"></div>
    <!-- FOOTER -->
    <!-- FOOTER'S PAGE -->
    <div class="container-fluid footer-page"></div>
    <script src="../js/popper.min.js"></script>
    <script src="../js/jquery.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script>
      /* LOAD PAGES */
      $(".logo-bar").load("logo-bar-products.html");
      $(".nav-container").load("nav-products.html");
      $(".content-products").load("content-products.html");
      $(".footer-div").load("footer-div.html");
      $(".footer-page").load("footer-page.html");
      /*************/

      $(".star-hover").hover(function() {
        $(".green-star")
          .toggleClass("star-shine")
          .css("transition-duration", "0.5s");
      });

      $(".wish-cart").hover(function() {
        $(".fa-shopping-cart")
          .toggleClass("star-shine")
          .css("transition-duration", "0.5s");
      });

      $(".eye-hover").hover(function() {
        $(".fa-eye")
          .toggleClass("star-shine")
          .css("transition-duration", "0.5s");
      });

      $(".star-hover-content").hover(function() {
        $(".hover-content")
          .toggleClass("star-shine")
          .css("transition-duration", "0.5s");
      });

      $(".share-hover").hover(function() {
        $(".fa-share-square")
          .toggleClass("star-shine")
          .css("transition-duration", "0.5s");
      });

      $(".cart-hover").hover(function() {
        $(".fa-cart-arrow-down")
          .toggleClass("star-shine")
          .css("transition-duration", "0.5s");
      });

      for (let n = 1; n <= 6; n++) {
        $(`.products-hover-${n}`).hover(function() {
          $(`.products-grade-description-buttons-${n}`)
            .toggleClass("d-none")
            .css("transition-duration", "0.5s");
          $(`.products-grade-description-${n}`)
            .toggleClass("d-none")
            .css("transition-duration", "0.5s");
        });
      }

      /* FUNCTION FOR HOVER STATE */
      /*****************************/
      $("#osf-appearence__list").click(function() {
        $("#row_1")
          .addClass("d-flex")
          .removeClass("d-block");
        $("#row_2")
          .addClass("d-flex")
          .removeClass("d-block");
        $("#row_3")
          .addClass("d-flex")
          .removeClass("d-block");
        for (let i = 0; i < 10; i++) {
          $(`#products_${i}`)
            .removeClass("mx-lg-auto")
            .removeClass("mx-md-auto")
            .addClass("mr-lg-auto");
        }
      });
      $("#osf-appearence__block").click(function() {
        $("#row_1")
          .addClass("d-block")
          .removeClass("d-flex");
        $("#row_2")
          .addClass("d-block")
          .removeClass("d-flex");
        $("#row_3")
          .addClass("d-block")
          .removeClass("d-flex");
        for (let i = 0; i < 10; i++) {
          $(`#products_${i}`)
            .addClass("mx-lg-auto")
            .addClass("mx-md-auto")
            .removeClass("mr-lg-auto");
        }
      });

      /*****************************/
      /*****************************/
    </script>
  </body>
</html>
